Subject: bug#6429: 23.2; Scrollbars slow emacs down

From: Stefan Kangas <[email-masked]>
Date: Fri, 2 Aug 2019 16:26:06 +0200

tags 6429 + unreproducible
close 6429
quit

Stefan Kangas <[email-masked]> writes:

> DPX-Infinity <[email-masked]> writes:
>
> > Steps to reproduce:
> >  - Launch emacs if it is not launched
> >  - Toggle scrollbars mode if it is turned off
> >  - Open new buffer or empty file and try to type something
> > You'll get a latency between key press and text output. If you
> > hold the key, this behaviour will be more noticeable. Opening a file
> > which fills even a half of the window helps. This happens either when
> > scrollbar is on the right side or on the left. Turning scrollbars off helps.
> >
> > First, this problem appears only in large windows, 200x80 symbols or
> > so. Second, it depends more on window height than on width: when
> > you split the window horizontally, this effect is reduced, but vertical
> > split does nothing. Third, the more the amount of text is in the
> > window, the better the performance is. It seems, that it depends not
> > only on one window, but on all windows that are on the screen now: e.g.,
> > if you split window and load some file which fills one of the windows,
> > you'll notice that this effect is reduced. Finally, if you turn off
> > scrollbars mode this problem completely vanishes: text typing becomes as
> > smooth as always. I also haven't met this behaviour in older
> > versions. I don't remember when exactly this behaviour started, but it
> > certainly was normal in 22.x branch.
>
> Hi,
>
> I've tried to reproduce this using the latest version of Emacs (26.2)
> but have been unable to do so.
>
> I see that this bug was reported 9 years ago.  Can you still reproduce
> it on the newest version of Emacs?
>
> I can see in the bug report some minor-modes that would not have been
> enabled by default.  If you can still reproduce this, could you please
> provide an exact recipe to do so starting from "emacs -Q"?
>
> If I don't hear back from you in a couple of weeks, I'll just close this
> as unreproducible.
>
> Thanks,
> Stefan Kangas

One month has passed with no reply, so I'm now closing the bug.
If you're still seeing this, please report back so that we can
reopen it.

Thanks,
Stefan Kangas